package edfinal.pk.LusCs;

import edfinal.pk.rmiFileTransfer.FileServerImplementation;
import edfinal.pk.rmiFileTransfer.FileTransClient;

import java.io.File;

/**
 * Created by IntelliJ IDEA. User: pkrepszt Date: Mar 27, 2005 Time:
 * 7:46:18 PM To change this template use File | Settings | File
 * Templates.
 */
public class CSAnswerFactory {
    private FileTransClient ftc = new FileTransClient();
    private String lookUpServerIpAddress;
    private String webServerIP;

    public CSAnswerFactory(String url, String webServerIP, String lusIpAddress) {
        this.webServerIP = webServerIP;
        this.lookUpServerIpAddress = lusIpAddress;
        this.runWebStartApp(url);
    }

    public void runWebStartApp(String URL) {
        System.out.println(" downloading job");
        File answer = WebStartLauncher.startWebstartAndWaitForAnswer(URL);
        System.out.println(" job exec the answer " + answer.getName() + "size " + answer.length());
        sendAnwser(answer);

    }

    public void sendAnwser(File f) {
        String rmiURL = getRmiUrl();
        System.out.println("CS rmiUrl=" + rmiURL);
        System.out.println("Sending anwser to lus ip   " + lookUpServerIpAddress);
        ftc.getJarAnwser(rmiURL, f, webServerIP);
    }

    public String getRmiUrl() {
        String rmiURL = "rmi://" +
                lookUpServerIpAddress +
                "/" +
                FileServerImplementation.REMOTE_NAME;
        return rmiURL;
    }
}
