/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */
package utils;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Mar 6, 2005
 * <p/>
 * Time: 10:41:01 AM
 */
public class TestResourceManager extends TestCase {
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(TestResourceManager.class);
        return suite;
    }

    public static void testResourceManager() {
        final ResourceManager resourceManager = ResourceManager.getResourceManager();
        assertEquals(resourceManager.getUserDir().canRead(), true);
        assertTrue(resourceManager.getDataDir().canRead());
        assertTrue(resourceManager.getDataDir3d().canRead());
        assertTrue(resourceManager.getImageDir().canRead());
    }
}
